GMOD_MAKE_GFF_FROM_DBXREF(1p)

NAME
gmod_make_gff_from_dbxref.pl - a tool for creating a gff3 file given a list of dbxrefs and fasta files.

SYNOPSYS
 % gmod_make_gff_from_dbxref.pl --fasta_dir <directory> --tmp_dir <directory> \
                                <dbxref_list

COMMAND-LINE OPTIONS
  --fasta_dir          Directory containing fasta files (required)
  --tmp_dir            Temporary directory (default: /tmp)
  --type               SO term to use for created features (default: region)
  --source             Column 2 of the GFF file (default: .)

DESCRIPTION
This tool takes a list of tab separated db identifiers and accessions on the command line (like gmod_extract_dbxref_from_gff.pl would produce) along with a directory containing fasta files and creates a GFF file. The script tries several options for identifying the accession in the fasta description line. These are the types of things it currently tries:

>mi|5419616|mn|TC130707|
    to get TC130707

>gi|34072055|gb|CG180994.1|CG180994
    to get CG180994.1

>mi|12821100|mn|2_11498(1330441)|
    to get 2_11498.

>123456
    to get 123456 (ie, the entire line, which is the last resort).

If you have a description line that is different from this and would like help modifying this script to work with your data, please email the schema mailing list: gmod-schema@lists.sourceforge.net. If you modify the script yourself to work with your data, please also mail the schema mailing list to report your changes so they can be included.

AUTHOR
Scott Cain <cain@cshl.edu>.

Copyright (c) 2007,2008

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.